Topic Title: How to install latest catalyst drivers on HP laptop?
Topic Summary: A6 APU with Radeon R4 graphics
Created On: 06/30/2014 02:29 AM
Status: Post and Reply
Linear : Threading : Single : Branch
Search Topic Search Topic
Topic Tools Topic Tools
View similar topics View similar topics
View topic in raw text format. Print this topic.
 06/30/2014 02:29 AM
User is offline View Users Profile Print this message

Author Icon
hondaman
Peon

Posts: 4
Joined: 02/24/2009

I tried installing the latest beta drivers 14.6, and when I run aticonfig --initial it says "no supported adapters detected"

 

Why is this?  My laptop is brand new (as in not obsolete)  Where do I find and install the latest APU drivers?

 06/30/2014 02:35 AM
User is offline View Users Profile Print this message

Author Icon
stumped
Wizard

Posts: 7249
Joined: 11/13/2009

Are you running linux?



-------------------------

Intel I7 960 @ 3.87ghz *Intel DX58SO *HIS HD6970 2gb *Corsair TX650M *2x4gb Corsair XMS3 *WD Black 1TB *Windows 7 Home Premium 64bit ***Asus N71Jq laptop *Intel I7 720QM Processor *Mobility Radeon HD5730 1gb *8gb Ram *Windows 7 64bit ** Toshiba P75-A7200 * Intel I7-4700MQ * Windows 8.1 64bit


 


 * A clear conscience is usually a sign of bad memory *

 06/30/2014 03:13 AM
User is offline View Users Profile Print this message

Author Icon
hondaman
Peon

Posts: 4
Joined: 02/24/2009

Originally posted by: stumped Are you running linux?

 

Yes, Ubuntu 14.04

 06/30/2014 02:17 PM
User is offline View Users Profile Print this message

Author Icon
Eydee
Ninja Zombie Killer

Posts: 4905
Joined: 12/27/2008

You don't need to run "aticonfig --initial", that's something that was required approx 10 years ago. (To be correct: it is required if you install from runlevel 1.)

The question is...: Do the drivers work? Did it successfully compile the kernel module? Do you have 3D accelearation? Does CCC launch? Any errors in /usr/share/ati/fglrx-install.log?



-------------------------

CPU: AMD Phenom II X4 810 @ 3120MHz | RAM: Kingmax 2x2GB DDR2 800 @ 833MHz| MoBo: MSI K9A2 CF v1.0 (BIOS: 1.D)| GPU: Asus HD 6850 1024MB (DirectCu) @ 835/1135MHz | Display: L24FHD | PSU: PC Power & Cooling Silencer 750 Quad | OS: MS Windows 3.11 Pro x64

 06/30/2014 05:25 PM
User is offline View Users Profile Print this message

Author Icon
hondaman
Peon

Posts: 4
Joined: 02/24/2009

Originally posted by: Eydee You don't need to run "aticonfig --initial", that's something that was required approx 10 years ago. (To be correct: it is required if you install from runlevel 1.)

 

The question is...: Do the drivers work? Did it successfully compile the kernel module? Do you have 3D accelearation? Does CCC launch? Any errors in /usr/share/ati/fglrx-install.log?

 

 

Interesting about the run level 1 thing you mentioned.  I haven't read that anywhere, and AMD's own docs don't mention that either.

 

The problem is now fixed however.  The root of the problem was I have a mullins APU, and the PCI ID's weren't included until kernel 3.15

 

I installed Kernel 3.15.2, then installed the catalyst drivers without issue.

 

I need to add, that I had to modify a file as described here:

Installing Catalyst on kernel >=3.14.0 (3.14.2 including)

http://wiki.cchtml.com/index.php/Ubuntu_Trusty_Installation_Guide

Just in case someone else having the same problem as I finds themself here looking for a solution.

 

Statistics
85287 users are registered to the AMD Support and Game forum.
There are currently 3 users logged in.

FuseTalk Hosting Executive Plan v3.2 - © 1999-2014 FuseTalk Inc. All rights reserved.